# KSP-Beamed-Power-Standalone-mod
This is a mod (plugin) that adds Beamed Power code to the stock game (KSP)
This mod is currently licensed as Public Domain Work. This license only applies to the plugin.

-------------- Basic Info ------------------------------------------------------------------------------------------------------------------------------

There are two part modules this adds that you can use: WirelessSource and WirelessReceiverDirectional. 
At the moment, you'll have to add these part modules to any part you want to use for beamed power. Instructions for how to do that: 

WirelessSource:
If you want to make a part a beamed power transmitter, you need to add the WirelessSource part module to the part's config file. 
You can either directly add this to a part's config file, or use a Module Manager patch. It'll looks something like this: 

MODULE
{
	name = WirelessSource
	DishDiameter = 10	// in metres, pick a suitable value
	Wavelength = Long	// must be either 'Long'(short microwave) or 'Short'(short ultraviolet)
	Efficiency = 0.8	// value must be in range of 0.0 to 1.0
}

--------------------------------------------------------------------------------------------------------------------------------------------------------

WirelessReceiverDirectional:
If you want to make a part a beamed power receiver, you need to add the WirelessReceiverDirectional part module to the part's config file. 
You can either directly add this to a part's config file, or use a Module Manager patch. The syntax is shown above. 

MODULE
{
	name = WirelessReceiverDirectional
	recvDiameter = 2.5	// in metres, pick an appropriate value
	recvEfficiency = 0.7	// a value between 0.0 and 1.0
}

--------------------------------------------------------------------------------------------------------------------------------------------------------

WirelessReceiver:
The syntax is shown below. This is a part module for spherical receivers, you need to add the WirelessReceiver part module to the part's config file. 
Spherical receivers receive from all transmitters in the save file, and you don't get to choose which spacecraft to receive from. 
Spherical receivers can be a little bit cheating, so I would suggest setting a lower efficiency for them than directional receivers.

MODULE
{
	name = WirelessReceiver
	recvDiameter = 2.5	// in metres, pick an appropriate value
	recvEfficiency = 0.6	// a value between 0.0 and 1.0
} 

------------- Optional Part modules ------------------------------------------------------------------------------------------------------------------------ 

These are part modules for beamed power propulsion. The plan currently is that there will be three optional part modules: 
PhotonSail, ThermalEngine and AblativeEngine.

--------------------------------------------------------------------------------------------------------------------------------------------------------

PhotonSail
This is a part module for sails pushed by the photons beamed by transmitters (parts with module WirelessSource). 
This is not done yet. This is just to show how it will look like, when all the issues have been fixed:

MODULE
{
	name = PhotonSail
	SurfaceArea = 100  // in m^2
	Reflectivity = 0.95  // value between 0.0 and 1.0, think  of this as albedo
	Wavelength = Long  // either 'Long' or 'Short', tells the code what is optimum wavelength for this photon sail
}

-------------------------------------------------------------------------------------------------------------------------------------------------------- 